Raise number into power with modulo

- « gmp_pow

- gmp_prob_prime »

- PHP Manual
- GMP Functions
- Raise number into power with modulo

# gmp_powm

(PHP 4 >= 4.0.4, PHP 5, PHP 7, PHP 8)

gmp_powm — Raise number into power with modulo

### Description

gmp_powm(GMP|int|string `$num`, GMP|int|string `$exponent`, GMP|int|string `$modulus`): GMP

Calculate (`num` raised into power `exponent`) modulo `modulus`. If `exponent` is negative, result is undefined.

### Parameters

`num`

  The base number.

  A GMP object, an int or a numeric string.

`exponent`

  The positive power to raise the `num`.

  A GMP object, an int or a numeric string.

`modulus`

  The modulo.

  A GMP object, an int or a numeric string.

### Return Values

The new (raised) number, as a GMP number.

### Examples

Example #1 gmp_powm() example

    <?php$pow1 = gmp_powm("2", "31", "2147483649");echo gmp_strval($pow1) . "\n";?>

The above example will output:

    2147483648